Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_blocking_region_buffer Struct Reference

## Data Fields
enum rb_thread_status | prev_status
struct rb_unblock_callback | oldubf

## Detailed Description

Definition at line 110 of file thread.c.

## Field Documentation

struct rb_unblock_callback rb_blocking_region_buffer::oldubf

Definition at line 112 of file thread.c.

Referenced by blocking_region_begin(), and blocking_region_end().

enum rb_thread_status rb_blocking_region_buffer::prev_status

Definition at line 111 of file thread.c.

Referenced by blocking_region_begin(), blocking_region_end(), and rb_threadptr_execute_interrupts().

The documentation for this struct was generated from the following file:

- thread.c